Bug 1320 - 6022BL logic analyzer mode does not display any signal on the channel pins
Summary: 6022BL logic analyzer mode does not display any signal on the channel pins
Status: CONFIRMED
Alias: None
Product: libsigrok
Classification: Unclassified
Component: Driver: hantek-6xxx (show other bugs)
Version: 0.5.1
Hardware: x86 Windows
: Normal major
Target Milestone: ---
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-08 16:44 CET by learn2kab
Modified: 2020-02-08 20:41 CET (History)
6 users (show)



Attachments
dmesg and lsusb outputs for Hantek 6022BL with H/P button released and pressed modes (64.00 KB, application/msword)
2018-11-09 16:34 CET, learn2kab
Details

Note You need to log in before you can comment on or make changes to this bug.
Description learn2kab 2018-11-08 16:44:07 CET
Hello,

I was trying to use hantek 6022BL with PULSEview.
Integration in the oscilloscope mode (H/P button pressed down) went 
well and the signal on ch1 was visible (connected CH1 with 1KHz,2Vp-p pin on 
the device).

For Logic Analyzer mode, the driver for the device was updated with Zadig.
Pulseview recognized the Hantek 6022BL as a CYPRESS FX2 type.In this mode,
16 channels were displayed (though 6022BL mentions that only 8 channels are working in Logic Analyzer mode).

Though we have connected one of the channel pins (0x11) on the 6022BL to a
square wave generator pin, output was not visible on the pulseview GUI.


vendor : device ids
oscilloscope:04b5-602A
logic analyzer:04b4-8613

Should I re-configure any of the files?How do I make the pulse view display 
the content on the Logic Analyzer pins?? Kindly guide.

Regards,
Adarsh
Comment 1 Uwe Hermann 2018-11-09 00:49:07 CET
Hi, can you please confirm a few things?

 - If you used an installer from a few days or so ago, you probably mean PulseView 0.4.1 (which includes libsigrok 0.5.1), not libsigrok 0.4.1, right?

 - Please attach a "lsusb -v" (as root) from a Linux system, if possible, so we can compare the USB properties.

The 6022BL devices we know of have a USB VID/PID of 0925:3881 in the logic analyzer mode, which is the VID/PID of an 8-channel Saleae Logic LA.

If your lsusb from Linux really shows 04b4:8613 in logic analyzer mode, that's potentially a new hardware version of the 6022BL then. If yes, please join us on IRC for a wiki account, would be great to add the "lsusb -v" to the wiki page, as well as new device/PCB photos:

https://sigrok.org/wiki/Hantek_6022BL

With 04b4:8613 (the default Cypress FX2 VID/PID), libsigrok (and the fx2lafw firmware) will indeed assume a 16-channel logic analyzer. That *should* also work fine, but it depends on what exactly (if anything) they changed in the new hardware revision.
Comment 2 Uwe Hermann 2018-11-09 00:50:14 CET
Nevermind, it's libsigrok 0.5.2 indeed, fixing that.
Comment 3 learn2kab 2018-11-09 16:34:59 CET
Created attachment 480 [details]
dmesg and lsusb outputs for Hantek 6022BL with H/P button released and pressed modes
Comment 4 learn2kab 2018-11-09 16:50:38 CET
(In reply to Uwe Hermann from comment #1)
> Hi, can you please confirm a few things?
> 
>  - If you used an installer from a few days or so ago, you probably mean
> PulseView 0.4.1 (which includes libsigrok 0.5.1), not libsigrok 0.4.1, right?
> 
[adarsh]:PulseView-0.4.1 from downloads for Windows-7 64-bit version.
 
>  - Please attach a "lsusb -v" (as root) from a Linux system, if possible, so
> we can compare the USB properties.
> 
[adarsh]: output in attached files

> The 6022BL devices we know of have a USB VID/PID of 0925:3881 in the logic
> analyzer mode, which is the VID/PID of an 8-channel Saleae Logic LA.
> 
> If your lsusb from Linux really shows 04b4:8613 in logic analyzer mode,
> that's potentially a new hardware version of the 6022BL then. If yes, please
> join us on IRC for a wiki account, would be great to add the "lsusb -v" to
> the wiki page, as well as new device/PCB photos:
> 
> https://sigrok.org/wiki/Hantek_6022BL
> 
[adarsh]:Sure,will join the IRC.

> With 04b4:8613 (the default Cypress FX2 VID/PID), libsigrok (and the fx2lafw
> firmware) will indeed assume a 16-channel logic analyzer. That *should* also
> work fine, but it depends on what exactly (if anything) they changed in the
> new hardware revision.

Hi,

Please find the inline answers above
Comment 5 Nae Botis 2018-11-18 09:16:38 CET
I have the same problem. Received the 6022BL in november 2018.

The documentation on sigrok is lacking in regards to how do you actually change the modes between oscilloscope and logic analyzer.
I assume I have to disconnect the unit, press the H/P button, reconnect again, and upload again the firmware with Zadig (and presumably this is the driver to be used: WinUSB (v6.1.7600.16385)). This is how I get the unit alive every time.
Regardless of the state of the H/P button, it's always in oscilloscope mode.

I've tried loading the other drivers from Zadig (libusb-win32 (v1.2.6.0), libusbK (v3.0.7.0) and USB Serial (CDC)) with no luck, in this cases even the oscilloscope mode was not working anymore (which probably is expected, as it's not the correct driver).

Before trying sigrok, I've tested the unit with the manufacturer software, and worked properly, without any issues. Although the Logic Analyzer part of the software is appalling.

This is the output of sigrok CLI (sorry, I have no Linux machine to test it on):

C:\Programs\sigrok\sigrok-cli>sigrok-cli --scan
sr: ftdi-la: Failed to get the FTDI strings: -4
The following devices were found:
demo - Demo device with 12 channels: D0 D1 D2 D3 D4 D5 D6 D7 A0 A1 A2 A3
hantek-6xxx:conn=3.6 - Hantek 6022BL with 2 channels: CH1 CH2

C:\Programs\sigrok\sigrok-cli>sigrok-cli -d hantek-6xxx --show
Driver functions:
    Oscilloscope
Scan options:
    conn
hantek-6xxx:conn=3.6 - Hantek 6022BL with 2 channels: CH1 CH2
Channel groups:
    CH1: channel CH1
    CH2: channel CH2
Supported configuration options across all channel groups:
    conn: 3.6 (current)
    limit_samples: 0 (current)
    limit_time: 0 (current)
    samplerate - supported samplerates:
      48 MHz
      30 MHz
      24 MHz
      16 MHz
      8 MHz
      4 MHz
      1 MHz
      500 kHz
      200 kHz
      100 kHz
    num_vdiv


Is this issue a work in progress? I'd really like to have the Logic Analyzer functional back again.

Thank you!
Comment 6 Benk 2019-01-02 04:48:08 CET
Hello,

I also have this problem with my recently delivered Hantek 6022BL.

The PCB looks to be the same as on the wiki, there are 2x 24BL02 EEPROMs onboard however it always reports the same USB ID 04B5:602A regardless of the position of the H/P switch.

The EEPROMs are still switched via the H/P switch to the processor and still accessible via the FX2 however it doesnt seem to load the VID/PID off the EEPROMs as the data in the EPROMs are correct for each position of the switch.

Is it possible that there is a mod in the driver in the new versions to make it report a different VID:PID to whats in the EPROMs?

I guess this is why sigrok is only loading the Scope function as the VID:PID is the same in both positions.

Cheers
Comment 7 Benk 2019-01-02 04:49:00 CET
(In reply to Uwe Hermann from comment #2)
> Nevermind, it's libsigrok 0.5.2 indeed, fixing that.

Hello, was there any further findings?
Comment 8 learn2kab 2019-04-08 13:01:37 CEST
(In reply to Uwe Hermann from comment #2)
> Nevermind, it's libsigrok 0.5.2 indeed, fixing that.

Hello Uwe,

Do we have any updated sigrok software for the recent versions of hantek6022bl ?? Please let me know if you need any support to test any softwares.

Regards,
Adarsh
Comment 9 learn2kab 2019-04-08 14:01:01 CEST
(In reply to Uwe Hermann from comment #2)
> Nevermind, it's libsigrok 0.5.2 indeed, fixing that.

Hello Uwe,

I have tried again today with the pulseview  available on the website,just to check if the libsigrok got updated and support is available.

The new chip did not get detected.

Regards,
Comment 10 gus 2019-12-27 09:59:48 CET
Any progress on this? would really like to be able to use the Logic Analyzer functions of this version of 6022BL's

Have tried latest and previous versions of sigrok cli and firmware, always just get 2 channel scope functions

Can confirm the H/P button does not change VID:PID on these recent devices

Thanks
Comment 11 Ryan Hope 2020-02-08 20:41:30 CET
Its now Feb 8 2020 and this still seems to be an issue in the latest version of sigrok available on Ubuntu. What exactly is the status of this? Are devs waiting on more info or what?